VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::ShutdownTypes::ShutdownConfig Class Reference

`Shutdown.ShutdownConfig` class Structure that defines shutdown configuration. More...

List of all members.

## Public Member Functions
| ShutdownConfig ()
| Creates a default new instance.
long | GetDelay ()
| Delay interval in minutes (optional).
void | SetDelay (long delay)
| Delay interval in minutes (optional).
string | GetReason ()
| Reason for performing shutdown (required).
void | SetReason (string reason)
| Reason for performing shutdown (required).
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Shutdown.ShutdownConfig` class Structure that defines shutdown configuration.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::ShutdownTypes::ShutdownConfig::ShutdownConfig | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::techpreview::ShutdownTypes::ShutdownConfig::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::techpreview::ShutdownTypes::ShutdownConfig::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::techpreview::ShutdownTypes::ShutdownConfig::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::techpreview::ShutdownTypes::ShutdownConfig::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::techpreview::ShutdownTypes::ShutdownConfig::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::techpreview::ShutdownTypes::ShutdownConfig::Equals | ( | object | obj | ) | `[inline]`

long vmware::appliance::techpreview::ShutdownTypes::ShutdownConfig::GetDelay | ( |  | ) | `[inline]`

Delay interval in minutes (optional).

if you do not specify delay, then the shutdown starts immediately.

override int vmware::appliance::techpreview::ShutdownTypes::ShutdownConfig::GetHashCode | ( |  | ) | `[inline]`

string vmware::appliance::techpreview::ShutdownTypes::ShutdownConfig::GetReason | ( |  | ) | `[inline]`

Reason for performing shutdown (required).

void vmware::appliance::techpreview::ShutdownTypes::ShutdownConfig::SetDelay | ( | long | delay | ) | `[inline]`

Delay interval in minutes (optional).

if you do not specify delay, then the shutdown starts immediately.

void vmware::appliance::techpreview::ShutdownTypes::ShutdownConfig::SetReason | ( | string | reason | ) | `[inline]`

Reason for performing shutdown (required).

override string vmware::appliance::techpreview::ShutdownTypes::ShutdownConfig::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ShutdownTypes.cs